<?php

$hibak = [];
if (count($_POST) > 0) {
  if (!is_dir($_POST["utvonal"])) {
    $hibak[] = "A megadott útvonal nem mappa!";
  } else {
    $elemek = scandir($_POST["utvonal"]);
    $lista = [];
    foreach ($elemek as $elem) {
      $utvonal = $_POST["utvonal"] . "/" . $elem;
      if (is_dir($utvonal)) {
        $tipus = "mappa";
        $meret = 0;
      } else {
        $tipus = "fajl";
        $meret = filesize($utvonal);
      }
      $lista[] = [
        "nev" => $elem,
        "tipus" => $tipus,
        "meret" => $meret
      ];
    }
  }
}

?>
<form method="post" action="index.php">
  <input type="text" name="utvonal">
  <input type="submit" value="Listáz">
</form>
<?php if (isset($lista)) : ?>
  <table>
  <?php foreach ($lista as $elem) : ?>
    <tr>
      <td><?= $elem["nev"] ?></td>
      <td><?= $elem["tipus"] ?></td>
      <td><?= $elem["tipus"] == "fajl" ? $elem["meret"] : "" ?></td>
    </tr>
  <?php endforeach; ?>
  </table>
<?php endif; ?>

<?php if (count($hibak) > 0) : ?>
  <ul>
  <?php foreach ($hibak as $hiba) : ?>
    <li><?= $hiba ?></li>
  <?php endforeach; ?>
  <ul>
<?php endif; ?>